org.apache.xmlbeans.impl.xb.xmlschema

## Interface SpaceAttribute

All Superinterfaces:
  XmlObject, XmlTokenSource

All Known Implementing Classes:
  SpaceAttributeImpl

    public interface SpaceAttribute
    extends XmlObject

A document containing one space(@http://www.w3.org/XML/1998/namespace) attribute. This is a complex type.

### Nested Class Summary

Nested Classes
`static interface` `SpaceAttribute.Space` An XML space(@http://www.w3.org/XML/1998/namespace).

### Field Summary

Fields
`static DocumentFactory<SpaceAttribute>` `Factory`
`static SchemaType` `type`

### Fields inherited from interface org.apache.xmlbeans.XmlObject

`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

### Method Summary

All Methods Instance Methods Abstract Methods
`SpaceAttribute.Space.Enum` `getSpace()` Gets the "space" attribute
`boolean` `isSetSpace()` True if has "space" attribute
`void` `setSpace(SpaceAttribute.Space.Enum space)` Sets the "space" attribute
`void` `unsetSpace()` Unsets the "space" attribute
`SpaceAttribute.Space` `xgetSpace()` Gets (as xml) the "space" attribute
`void` `xsetSpace(SpaceAttribute.Space space)` Sets (as xml) the "space" attribute

### Methods inherited from interface org.apache.xmlbeans.XmlObject

`changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

### Field Detail

#### Factory

    static final DocumentFactory<SpaceAttribute> Factory

#### type

    static final SchemaType type

### Method Detail

#### getSpace

    SpaceAttribute.Space.Enum getSpace()

Gets the "space" attribute

#### xgetSpace

    SpaceAttribute.Space xgetSpace()

Gets (as xml) the "space" attribute

#### isSetSpace

    boolean isSetSpace()

True if has "space" attribute

#### setSpace

    void setSpace(SpaceAttribute.Space.Enum space)

Sets the "space" attribute

#### xsetSpace

    void xsetSpace(SpaceAttribute.Space space)

Sets (as xml) the "space" attribute

#### unsetSpace

    void unsetSpace()

Unsets the "space" attribute